Skip to main content
POST
/
safe-house
/
canaries
Create a canary credential
curl --request POST \
  --url https://api.mnemom.ai/v1/safe-house/canaries \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_id": "<string>"
}
'
{
  "canary_value": "<string>",
  "id": "<string>",
  "agent_id": "<string>",
  "triggered": true,
  "triggered_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Supabase JWT token in Authorization: Bearer header

Body

application/json
agent_id
string
required
canary_type
enum<string>
required
Available options:
api_key,
password,
database_url,
ssh_key,
oauth_token

Response

Canary created. canary_value is returned once and must be captured.

Canary credential planted in an agent context. canary_value is only returned on creation.

canary_value
string
required
id
string
agent_id
string
canary_type
enum<string>
Available options:
api_key,
password,
database_url,
ssh_key,
oauth_token
triggered
boolean
triggered_at
string<date-time> | null
created_at
string<date-time>